AIGC raw chart
Tencent Cloud on-demand image generation. Official document: https://cloud.tencent.com/document/product/266/126240
/tencent-vod/v1/aigc-imageBody Parametersapplication/json
Whether to automatically optimize prompt words. When turned on, incoming prompts will be automatically optimized to improve build quality. The values are: Enabled: turned on; Disabled: closed;
Reserved fields, used for special purposes. Example value: myextinfo
List of file info
itemsModel name. Value: GEM: Gemini; Qwen: Qianwen. Hunyuan: Hunyuan. Example value: GEM
model version. Value: When ModelName is GEM, the optional values are 2.5 and 3.0; When ModelName is Qwen, the optional value is 0925; When ModelName is Hunyuan, the optional value is 3.0; Example value: 2.5
Prompt word to prevent the model from generating images.
Output media file configuration of the image generation task.
propertiesSpecifies the aspect ratio of the generated image. When ModelName is GEM, the optional values are 1:1, 3:2, 2:3, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9 and 21:9; When the ModelName is Qwen or Jimeng, it is not supported for the time being. Jimeng will combine the Prompt intention and the reference image size, and the model will intelligently determine the aspect ratio of the output image. Example value: 16:9
Whether to enable compliance checking of input content. The values are: Enabled: turned on; Disabled: closed; Example value: Enabled
Whether to enable compliance checking of output content. The values are: Enabled: turned on; Disabled: closed; Example value: Enabled
Whether to allow character or face generation. The values are: AllowAdult: Allows adults to be generated; Disallowed: It is prohibited to include people or faces in images; Example value: AllowAdult
The resolution of the generated image. Optional values are 720P, 1080P, 2K, 4K, 1024x1024, 2048x2048, 2304x1728, 2496x1664, 2560x1440 , 3024x1296, 4096x4096, 4694x3520, 4992x3328, 5404x3040, 6198x2656, where the model is used When Jimeng, it is recommended to specify the image resolution and aspect ratio through Prompt. Example value: 1024x1024
Storage mode. The values are: Permanent: Permanent storage, the generated image files will be stored in the cloud on demand, and the FileId can be obtained in the event notification; Temporary: Temporary storage. The generated image files will not be stored in the cloud on demand. The URL for temporary access can be obtained in the event notification; Default value: Temporary
prompt word
Source context, used to transparently transmit user request information. The audio and video quality regeneration completion callback will return the value of this field, with a maximum length of 1000 characters. Example value: mySessionContext
The identification code used for deduplication. If there is a request for the same identification code within three days, this request will return an error. The maximum length is 50 characters, without or with an empty string to indicate no deduplication. Example value: mysession
The priority of the task. The larger the value, the higher the priority. The value range is -10 to 10. If left blank, it means 0. Example value: 10
Responses
On successful submission, returns `Response.TaskId`, used for the subsequent `GET /tencent-vod/v1/query/{task_id}` query.
propertiesTencent Cloud-style response body
